package com.e6yun.project.sdk.api.pojo.basevo.basic;

import java.math.BigDecimal;

public class VehicleInfoResp {
    private String vehicleNO;  	//真实车牌	苏AF5595
    private String vehicle;  	//查询输入的车牌	苏AF5595
    private String regName;  	//系统中使用的车牌	苏AF5595
    private String gpsTime;  	//定位时间	2014/10/16 8:48
    private String speed;  	//速度	14
    private String odometer;  	//里程	287817.7
    private BigDecimal lat;  	//纬度(WGS-84坐标系)	31.209667
    private BigDecimal lon;  	//经度(WGS-84坐标系)	121.535469
    private String direction;  	//车头方向0-360(0为正北 顺时针递加)	198
    private String status;  	//状态	ACC开,3D定位,天线正常,冷机开,门关,门关4
    private String placeName;  	//车辆位置	直辖市上海市闵行区
    private String provice;  	//省	直辖市
    private String city;  	//市	上海市
    private String district;  	//区	闵行区
    private String roadName;  	//路名信息	景联路南82米(普通路)
    private String t1;  	//温度1(℃)	5
    private String t2;  	//温度2(℃)	15
    private String t3;  	//温度3(℃)	13
    private String t4;  	//温度4(℃)	2
    private String t5;  	//温度5(℃)	0
    private String t6;  	//温度6(℃)	12
    private String t7;  	//温度7(℃)	1
    private String t8;  	//温度8(℃)	2
    private BigDecimal lat02;  	//根据参数isoffsetlonlat返回的纬度	33.326545
    private BigDecimal lon02;  	//根据参数isoffsetlonlat返回的经度	113.332154
    private String areaName;  	//地标名称	黄埔江公寓
    private String time1;  	//温度1采集时间	2014/10/16 8:48
    private String time2;  	//温度2采集时间	2014/10/16 8:48
    private String time3;  	//温度3采集时间	2014/10/16 8:48
    private String time4;  	//温度4采集时间	2014/10/16 8:48
    private String time5;  	//温度5采集时间	2014/10/16 8:48
    private String time6;  	//温度6采集时间	2014/10/16 8:48
    private String time7;  	//温度7采集时间	2014/10/16 8:48
    private String time8;  	//温度8采集时间	2014/10/16 8:48
    private String h1;  	//湿度1(%RH)	60
    private String h2;  	//湿度2(%RH)	65
    private String h3;  	//湿度3(%RH)	62
    private String h4;  	//湿度4(%RH)	60
    private String h5;  	//湿度5(%RH)	60
    private String h6;  	//湿度6(%RH)	60
    private String h7;  	//湿度7(%RH)	60
    private String h8;  	//湿度8(%RH)	60
    private String ht1;  	//湿度1采集时间	2014/10/16 8:48
    private String ht2;  	//湿度2采集时间	2014/10/16 8:48
    private String ht3;  	//湿度3采集时间	2014/10/16 8:48
    private String ht4;  	//湿度4采集时间	2014/10/16 8:48
    private String ht5;  	//湿度5采集时间	2014/10/16 8:48
    private String ht6;  	//湿度6采集时间	2014/10/16 8:48
    private String ht7;  	//湿度7采集时间	2014/10/16 8:48
    private String ht8;  	//湿度8采集时间	2014/10/16 8:48
    private String deviceTypeStr;  	//设备类型	便携设备
    private String equipCode;  	//设备编号	HR160812000006
    private String oil;  	//当前油量	50
    private String height ;  	//海拔高度 单位米	1423
    private String stopSec;  	//停车时长 单位秒	300
    private Integer acc;  	//ACC状态;0 无,1关,2开	1
//    private String vehicleNo;  	//真实车牌	苏AF5595
    private String ohm;  	//油量欧姆值	1180
    private Integer curAccSta;  	//当前ACC状态;1:在线 0:不在线 2:未知	1
    private String commIds;  	//中心识别码	12123222

    public String getVehicleNO() {
        return vehicleNO;
    }

    public void setVehicleNO(String vehicleNO) {
        this.vehicleNO = vehicleNO;
    }

    public String getVehicle() {
        return vehicle;
    }

    public void setVehicle(String vehicle) {
        this.vehicle = vehicle;
    }

    public String getRegName() {
        return regName;
    }

    public void setRegName(String regName) {
        this.regName = regName;
    }

    public String getGpsTime() {
        return gpsTime;
    }

    public void setGpsTime(String gpsTime) {
        this.gpsTime = gpsTime;
    }

    public String getSpeed() {
        return speed;
    }

    public void setSpeed(String speed) {
        this.speed = speed;
    }

    public String getOdometer() {
        return odometer;
    }

    public void setOdometer(String odometer) {
        this.odometer = odometer;
    }

    public BigDecimal getLat() {
        return lat;
    }

    public void setLat(BigDecimal lat) {
        this.lat = lat;
    }

    public BigDecimal getLon() {
        return lon;
    }

    public void setLon(BigDecimal lon) {
        this.lon = lon;
    }

    public String getDirection() {
        return direction;
    }

    public void setDirection(String direction) {
        this.direction = direction;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getPlaceName() {
        return placeName;
    }

    public void setPlaceName(String placeName) {
        this.placeName = placeName;
    }

    public String getProvice() {
        return provice;
    }

    public void setProvice(String provice) {
        this.provice = provice;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getDistrict() {
        return district;
    }

    public void setDistrict(String district) {
        this.district = district;
    }

    public String getRoadName() {
        return roadName;
    }

    public void setRoadName(String roadName) {
        this.roadName = roadName;
    }

    public String getT1() {
        return t1;
    }

    public void setT1(String t1) {
        this.t1 = t1;
    }

    public String getT2() {
        return t2;
    }

    public void setT2(String t2) {
        this.t2 = t2;
    }

    public String getT3() {
        return t3;
    }

    public void setT3(String t3) {
        this.t3 = t3;
    }

    public String getT4() {
        return t4;
    }

    public void setT4(String t4) {
        this.t4 = t4;
    }

    public String getT5() {
        return t5;
    }

    public void setT5(String t5) {
        this.t5 = t5;
    }

    public String getT6() {
        return t6;
    }

    public void setT6(String t6) {
        this.t6 = t6;
    }

    public String getT7() {
        return t7;
    }

    public void setT7(String t7) {
        this.t7 = t7;
    }

    public String getT8() {
        return t8;
    }

    public void setT8(String t8) {
        this.t8 = t8;
    }

    public BigDecimal getLat02() {
        return lat02;
    }

    public void setLat02(BigDecimal lat02) {
        this.lat02 = lat02;
    }

    public BigDecimal getLon02() {
        return lon02;
    }

    public void setLon02(BigDecimal lon02) {
        this.lon02 = lon02;
    }

    public String getAreaName() {
        return areaName;
    }

    public void setAreaName(String areaName) {
        this.areaName = areaName;
    }

    public String getTime1() {
        return time1;
    }

    public void setTime1(String time1) {
        this.time1 = time1;
    }

    public String getTime2() {
        return time2;
    }

    public void setTime2(String time2) {
        this.time2 = time2;
    }

    public String getTime3() {
        return time3;
    }

    public void setTime3(String time3) {
        this.time3 = time3;
    }

    public String getTime4() {
        return time4;
    }

    public void setTime4(String time4) {
        this.time4 = time4;
    }

    public String getTime5() {
        return time5;
    }

    public void setTime5(String time5) {
        this.time5 = time5;
    }

    public String getTime6() {
        return time6;
    }

    public void setTime6(String time6) {
        this.time6 = time6;
    }

    public String getTime7() {
        return time7;
    }

    public void setTime7(String time7) {
        this.time7 = time7;
    }

    public String getTime8() {
        return time8;
    }

    public void setTime8(String time8) {
        this.time8 = time8;
    }

    public String getH1() {
        return h1;
    }

    public void setH1(String h1) {
        this.h1 = h1;
    }

    public String getH2() {
        return h2;
    }

    public void setH2(String h2) {
        this.h2 = h2;
    }

    public String getH3() {
        return h3;
    }

    public void setH3(String h3) {
        this.h3 = h3;
    }

    public String getH4() {
        return h4;
    }

    public void setH4(String h4) {
        this.h4 = h4;
    }

    public String getH5() {
        return h5;
    }

    public void setH5(String h5) {
        this.h5 = h5;
    }

    public String getH6() {
        return h6;
    }

    public void setH6(String h6) {
        this.h6 = h6;
    }

    public String getH7() {
        return h7;
    }

    public void setH7(String h7) {
        this.h7 = h7;
    }

    public String getH8() {
        return h8;
    }

    public void setH8(String h8) {
        this.h8 = h8;
    }

    public String getHt1() {
        return ht1;
    }

    public void setHt1(String ht1) {
        this.ht1 = ht1;
    }

    public String getHt2() {
        return ht2;
    }

    public void setHt2(String ht2) {
        this.ht2 = ht2;
    }

    public String getHt3() {
        return ht3;
    }

    public void setHt3(String ht3) {
        this.ht3 = ht3;
    }

    public String getHt4() {
        return ht4;
    }

    public void setHt4(String ht4) {
        this.ht4 = ht4;
    }

    public String getHt5() {
        return ht5;
    }

    public void setHt5(String ht5) {
        this.ht5 = ht5;
    }

    public String getHt6() {
        return ht6;
    }

    public void setHt6(String ht6) {
        this.ht6 = ht6;
    }

    public String getHt7() {
        return ht7;
    }

    public void setHt7(String ht7) {
        this.ht7 = ht7;
    }

    public String getHt8() {
        return ht8;
    }

    public void setHt8(String ht8) {
        this.ht8 = ht8;
    }

    public String getDeviceTypeStr() {
        return deviceTypeStr;
    }

    public void setDeviceTypeStr(String deviceTypeStr) {
        this.deviceTypeStr = deviceTypeStr;
    }

    public String getEquipCode() {
        return equipCode;
    }

    public void setEquipCode(String equipCode) {
        this.equipCode = equipCode;
    }

    public String getOil() {
        return oil;
    }

    public void setOil(String oil) {
        this.oil = oil;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getStopSec() {
        return stopSec;
    }

    public void setStopSec(String stopSec) {
        this.stopSec = stopSec;
    }

    public Integer getAcc() {
        return acc;
    }

    public void setAcc(Integer acc) {
        this.acc = acc;
    }

//    public String getVehicleNo() {
//        return vehicleNo;
//    }
//
//    public void setVehicleNo(String vehicleNo) {
//        this.vehicleNo = vehicleNo;
//    }

    public String getOhm() {
        return ohm;
    }

    public void setOhm(String ohm) {
        this.ohm = ohm;
    }

    public Integer getCurAccSta() {
        return curAccSta;
    }

    public void setCurAccSta(Integer curAccSta) {
        this.curAccSta = curAccSta;
    }

    public String getCommIds() {
        return commIds;
    }

    public void setCommIds(String commIds) {
        this.commIds = commIds;
    }
}
